Package es.imim.DISGENET.network.colorMapping

# Class DiseaseColourMapping

java.lang.Object
es.imim.DISGENET.network.colorMapping.DiseaseColourMapping

public class DiseaseColourMapping extends Object
simple function to map the color codes to the corresponding colours and names

Author:
  michael

## Constructor Summary

Constructors
Constructor
Description
`DiseaseColourMapping()`

## Method Summary

Modifier and Type
Method
Description
`static HashMap<String,Color>`
`getDiseaseColourMapping()`
`static HashMap<String,String>`
`getDiseaseColourNameMapping()`
`static HashMap<String,Integer>`
`getDiseaseColourNumericMapping()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DiseaseColourMapping

public DiseaseColourMapping()

## Method Details

### getDiseaseColourMapping

public static HashMap<String,Color> getDiseaseColourMapping()

### getDiseaseColourNameMapping

public static HashMap<String,String> getDiseaseColourNameMapping()

### getDiseaseColourNumericMapping

public static HashMap<String,Integer> getDiseaseColourNumericMapping()